commit:     d9ff7d112bbf1f922a8ff8fd09025a22a12e2b93
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue May  9 14:07:55 2023 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue May  9 15:00:21 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9ff7d11

kde-plasma/xdg-desktop-portal-kde: 5.27.5 version bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-plasma/xdg-desktop-portal-kde/Manifest         |  1 +
 .../xdg-desktop-portal-kde-5.27.5.ebuild           | 59 ++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/kde-plasma/xdg-desktop-portal-kde/Manifest 
b/kde-plasma/xdg-desktop-portal-kde/Manifest
index 8a9c924f5eb7..fc32e026a846 100644
--- a/kde-plasma/xdg-desktop-portal-kde/Manifest
+++ b/kde-plasma/xdg-desktop-portal-kde/Manifest
@@ -1 +1,2 @@
 DIST xdg-desktop-portal-kde-5.27.4.1.tar.xz 139188 BLAKE2B 
93b4b6d39cae50a96e5bbc8422071da8cc53bdb21de2f709957656b75f5e538f52b86ddb47c653ff7beb27ff4e2f96cfe700de4d179ebddaf616c4a460d24a5c
 SHA512 
c5fa02bc3c4df8a06ba8c91f236e8542f65daa8e68db08cc13a8c0e814e585f043571744db6b56b963eca3c939d8efed5f4cb085d046101df29536433d1ca001
+DIST xdg-desktop-portal-kde-5.27.5.tar.xz 140720 BLAKE2B 
8f55edc2c8416f51f04c6585db31d4b26fceacfefbfd1eeccf97809b20f58766b6a102d48bf12822e6dd25d7ce9b8c4b901b2d75d1b3706d7cb426aec15154d2
 SHA512 
98dd88559b294922122bd8ed9d6d5a451f9649b946fdb0023349eae204ce6ea2328572975382e05283b177da0d44ca1e99f7576dc14a4c095d8a88b163acffa0

diff --git 
a/kde-plasma/xdg-desktop-portal-kde/xdg-desktop-portal-kde-5.27.5.ebuild 
b/kde-plasma/xdg-desktop-portal-kde/xdg-desktop-portal-kde-5.27.5.ebuild
new file mode 100644
index 000000000000..73acc3e14c3d
--- /dev/null
+++ b/kde-plasma/xdg-desktop-portal-kde/xdg-desktop-portal-kde-5.27.5.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_TEST="forceoptional"
+KFMIN=5.102.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=5.15.7
+inherit ecm plasma.kde.org
+
+DESCRIPTION="Backend implementation for xdg-desktop-portal that is using 
Qt/KDE Frameworks"
+
+LICENSE="LGPL-2+"
+SLOT="5"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE=""
+
+# dev-qt/qtgui: QtXkbCommonSupport is provided by either IUSE libinput or X
+COMMON_DEPEND="
+       >=dev-libs/wayland-1.15
+       >=dev-qt/qtdbus-${QTMIN}:5
+       >=dev-qt/qtdeclarative-${QTMIN}:5
+       || (
+               >=dev-qt/qtgui-${QTMIN}:5[libinput]
+               >=dev-qt/qtgui-${QTMIN}:5[X]
+       )
+       >=dev-qt/qtprintsupport-${QTMIN}:5[cups]
+       >=dev-qt/qtwayland-${QTMIN}:5
+       >=dev-qt/qtwidgets-${QTMIN}:5
+       >=kde-frameworks/kcoreaddons-${KFMIN}:5[dbus]
+       >=kde-frameworks/kconfig-${KFMIN}:5
+       >=kde-frameworks/kdeclarative-${KFMIN}:5
+       >=kde-frameworks/kglobalaccel-${KFMIN}:5
+       >=kde-frameworks/kguiaddons-${KFMIN}:5
+       >=kde-frameworks/ki18n-${KFMIN}:5
+       >=kde-frameworks/kiconthemes-${KFMIN}:5
+       >=kde-frameworks/kio-${KFMIN}:5
+       >=kde-frameworks/kirigami-${KFMIN}:5
+       >=kde-frameworks/knotifications-${KFMIN}:5
+       >=kde-frameworks/kwidgetsaddons-${KFMIN}:5
+       >=kde-frameworks/kwindowsystem-${KFMIN}:5
+       >=kde-frameworks/kwayland-${KFMIN}:5
+       >=kde-frameworks/plasma-${KFMIN}:5
+       x11-libs/libxkbcommon
+"
+DEPEND="${COMMON_DEPEND}
+       >=dev-libs/plasma-wayland-protocols-1.7.0
+       >=dev-libs/wayland-protocols-1.25
+       >=dev-qt/qtconcurrent-${QTMIN}:5
+"
+RDEPEND="${COMMON_DEPEND}
+       kde-misc/kio-fuse:5
+       sys-apps/xdg-desktop-portal
+"
+BDEPEND="
+       >=dev-qt/qtwaylandscanner-${QTMIN}:5
+       virtual/pkgconfig
+"

Reply via email to